package kz.arta.synergy.workflow.mobile.android.forms.mobile.models;

import java.io.Serializable;
import java.util.List;

/**
 * Created by neox on 08.05.14.
 * todo нужно избавиться от этого класса
 */
public class FormComponent implements Serializable {

    /**
     * ID компонента
     */
    private String id;

    /**
     * Заголовок
     */
    private String label;

    /**
     * Тип (listbox, label и т.д)
     */
    private String type;

    /**
     * Текст компонента
     */
    private String text;

    /**
     * Свойства компонента
     */
    private FormComponent[] properties;

    /**
     * Значения
     */
    private List<String> values;

    /**
     * Лейблы
     */
    private List<String> labels;

    /**
     * Выделенный пункт
     */
    private int selectedValue;

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getSelectedValue() {
        return selectedValue;
    }

    public void setSelectedValue(int selectedValue) {
        this.selectedValue = selectedValue;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    public List<String> getValues() {
        return values;
    }

    public void setValues(List<String> values) {
        this.values = values;
    }

    public FormComponent[] getProperties() {
        return properties;
    }

    public void setProperties(FormComponent[] properties) {
        this.properties = properties;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
